function [ fval ] = betaEstimator( gammaTemp, phi, x, lambda, beta, T, ksi )
%BETAESTIMATOR Summary of this function goes here
%   Detailed explanation goes here

    fval = 0;
    for t = 1:T
        fval = fval + (phi(t,1)*x(:,t)'/(gammaTemp)*x(:,t)) - 2*((1-lambda*phi(t,1))*x(:,t)'*beta);
    end
    
    fval = fval + T*(-lambda + lambda^2*ksi)*(beta'*gammaTemp*beta);
end

