function [B] = multivarRegress(values, pp, fc)
%REGRESS2VAR Regresses values(t+1) on power price(t) and fuel cost(t), and returns the
%coefficients in the vector B

pp2 = pp.^2;
fc2 = fc.^2;
ppfc = pp.*fc;
onevec = ones(size(pp));

B = regress(values', [onevec', pp', pp2', fc', fc2', ppfc']);



end

